Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceAuthError.Builder

java.lang.Object
ru.bitel.bgbilling.modules.voice.common.bean.VoiceAuthError.Builder

Enclosing class:
  `VoiceAuthError`

public static class VoiceAuthError.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VoiceAuthError`
  `build()`
  `VoiceAuthError.Builder`
  `setAccountId(int accountId)`
  `VoiceAuthError.Builder`
  `setAccountTitle(String accountTitle)`
  `VoiceAuthError.Builder`
  `setContractId(int contractId)`
  `VoiceAuthError.Builder`
  `setContractTitle(String contractTitle)`
  `VoiceAuthError.Builder`
  `setDeviceId(int deviceId)`
  `VoiceAuthError.Builder`
  `setDeviceTitle(String deviceTitle)`
  `VoiceAuthError.Builder`
  `setErrorCode(int errorCode)`
  `VoiceAuthError.Builder`
  `setErrorText(String errorText)`
  `VoiceAuthError.Builder`
  `setId(int value)`
  `VoiceAuthError.Builder`
  `setLastErrorTime(Date lastErrorTime)`
  `VoiceAuthError.Builder`
  `setLogCoordinateRecordId(int logCoordinateRecordId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public VoiceAuthError.Builder setId(int value)

  - ### setDeviceId

    public VoiceAuthError.Builder setDeviceId(int deviceId)

  - ### setDeviceTitle

    public VoiceAuthError.Builder setDeviceTitle(String deviceTitle)

  - ### setContractId

    public VoiceAuthError.Builder setContractId(int contractId)

  - ### setContractTitle

    public VoiceAuthError.Builder setContractTitle(String contractTitle)

  - ### setAccountId

    public VoiceAuthError.Builder setAccountId(int accountId)

  - ### setAccountTitle

    public VoiceAuthError.Builder setAccountTitle(String accountTitle)

  - ### setErrorCode

    public VoiceAuthError.Builder setErrorCode(int errorCode)

  - ### setErrorText

    public VoiceAuthError.Builder setErrorText(String errorText)

  - ### setLastErrorTime

    public VoiceAuthError.Builder setLastErrorTime(Date lastErrorTime)

  - ### setLogCoordinateRecordId

    public VoiceAuthError.Builder setLogCoordinateRecordId(int logCoordinateRecordId)

  - ### build

    public VoiceAuthError build()